<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/mobile_navigation"
    app:startDestination="@+id/nav_news">

    <fragment
        android:id="@+id/nav_home"
        android:name="com.example.vdcscore.ui.home.HomeFragment"
        android:label="@string/menu_home"
        tools:layout="@layout/fragment_home">
        <action
            android:id="@+id/action_nav_home_to_nav_club_detail"
            app:destination="@id/nav_club_detail" />
    </fragment>

    <fragment
        android:id="@+id/nav_gallery"
        android:name="com.example.vdcscore.ui.gallery.GalleryFragment"
        android:label="@string/menu_gallery"
        tools:layout="@layout/fragment_gallery" />

    <fragment
        android:id="@+id/nav_definicoes"
        android:name="com.example.vdcscore.ui.definicoes.DefinicoesFragment"
        android:label="@string/menu_definicoes"
        tools:layout="@layout/fragment_definicoes" />

    <fragment
        android:id="@+id/nav_live_games"
        android:name="com.example.vdcscore.ui.livegames.LiveGamesFragment"
        android:label="@string/menu_live_games"
        tools:layout="@layout/fragment_live_games">
        <action
            android:id="@+id/action_nav_live_games_to_nav_live_game_detail"
            app:destination="@id/nav_live_game_detail" />
    </fragment>

    <fragment
        android:id="@+id/nav_live_game_detail"
        android:name="com.example.vdcscore.ui.livegames.LiveGameDetailFragment"
        android:label="@string/title_live_game_detail"
        tools:layout="@layout/fragment_live_game_detail" />

    <fragment
        android:id="@+id/nav_clubs"
        android:name="com.example.vdcscore.ui.clubs.ClubsFragment"
        android:label="@string/menu_clubs"
        tools:layout="@layout/fragment_clubs">
        <action
            android:id="@+id/action_nav_clubs_to_nav_club_detail"
            app:destination="@id/nav_club_detail" />
    </fragment>

    <fragment
        android:id="@+id/nav_club_detail"
        android:name="com.example.vdcscore.ui.clubs.ClubDetailFragment"
        android:label="Detalhes do Clube"
        tools:layout="@layout/fragment_club_detail">
        <argument
            android:name="clubId"
            app:argType="string" />
        <argument
            android:name="escalao"
            app:argType="string" />
        <action
            android:id="@+id/action_nav_club_detail_to_nav_club_players"
            app:destination="@id/nav_club_players" />
    </fragment>

    <fragment
        android:id="@+id/nav_club_players"
        android:name="com.example.vdcscore.ui.clubs.ClubPlayersFragment"
        android:label="Jogadores"
        tools:layout="@layout/fragment_club_players">
        <argument
            android:name="clubId"
            app:argType="string" />
        <argument
            android:name="escalao"
            app:argType="string" />
            
        <action
            android:id="@+id/action_nav_club_players_to_nav_player_detail"
            app:destination="@id/nav_player_detail" />
    </fragment>
    
    <fragment
        android:id="@+id/nav_player_detail"
        android:name="com.example.vdcscore.ui.clubs.PlayerDetailFragment"
        android:label="Detalhes do Jogador"
        tools:layout="@layout/fragment_player_detail">
        <argument
            android:name="jogador_selecionado"
            app:argType="com.example.vdcscore.models.Player" />
    </fragment>

    <fragment
        android:id="@+id/nav_top_scorers"
        android:name="com.example.vdcscore.ui.topscorers.TopScorersFragment"
        android:label="@string/menu_top_scorers"
        tools:layout="@layout/fragment_top_scorers" />

    <fragment
        android:id="@+id/nav_news"
        android:name="com.example.vdcscore.ui.news.NewsFragment"
        android:label="@string/menu_news"
        tools:layout="@layout/fragment_news">
        <action
            android:id="@+id/action_nav_news_to_nav_news_detail"
            app:destination="@id/nav_news_detail" />
    </fragment>

    <fragment
        android:id="@+id/nav_news_detail"
        android:name="com.example.vdcscore.ui.news.NewsDetailFragment"
        android:label="Notícia"
        tools:layout="@layout/fragment_news_detail">
        <argument
            android:name="news_list"
            app:argType="com.example.vdcscore.models.News[]" />
        <argument
            android:name="news_index"
            app:argType="integer" />
    </fragment>

    <fragment
        android:id="@+id/nav_cup"
        android:name="com.example.vdcscore.ui.cup.CupFragment"
        android:label="Taça"
        tools:layout="@layout/fragment_cup" />
</navigation>